@charset "utf-8";

/*!
 * 电波模板屋
 * 主页 www.52dianbo.com
*/
.member-body
{
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
  padding-left: var(--theme-gap, 15px);
  padding-right: var(--theme-gap, 15px);
}

.member-bg
{
  background: var(--bg-color-2, #f7f7f7);
  box-shadow: 0px 0px 20px -5px rgb(158 158 158 / 22%);
  border-radius: var(--theme-radius-2, 10px);
  padding-top: 20px;
  padding-left: var(--theme-gap, 15px);
  padding-right: var(--theme-gap, 15px);
  padding-bottom: 20px;
}

.member-container
{
  margin-top: 30px;
}

.member-container .member-left, .member-container .member-right
{
  background-color: var(--bg-color-2, #f7f7f7);

  padding-left: var(--theme-gap, 15px);
  padding-right: var(--theme-gap, 15px);
  border-radius: var(--theme-radius-2, 10px);
}

.member-container .member-left:hover, .member-container .member-right:hover
{
  box-shadow: var(--theme-shadow);
}

.member-container .member-left
{
  width: 300px;
  float: left;
  position: sticky;
  top: 0;
}

.member-container .member-left .member-avatar-box
{
  text-align: center;
  padding: 15px 0;
  position: relative;
}

.member-container .member-left .member-avatar-box img, .member-container .member-left .member-avatar-box .controls, .member-upload-btn
{
  width: 64px;
  height: 64px;
  line-height: 64px;
  border-radius: 50%;
  float: left;
  text-align: center;
  border: none;
}

.member-upload-btn
{
  background-color: rgba(0, 0, 0, .2);
  color: #fff;
  padding: 0;
}

.member-container .member-left .member-avatar-box .controls
{
  position: absolute;
  left: 0;
  top: 15px;
  z-index: 0;
  display: none;
}

.member-container .member-left .member-avatar-box:hover .controls
{
  display: block;
}

.member-container .member-left .member-avatar-box p
{
  padding-top: 5px;
}

.member-container .member-left .member-avatar-box .member-avatar-name
{
  display: block;
  height: 64px;
  line-height: 64px;
  float: right;
  padding-left: 30px;
  width: calc(100% - 64px);
  text-align: center;
  position: relative;
  text-align: left;
  font-size: 18px;
}

.member-container .member-left .member-angle
{
  position: absolute;
  z-index: 0;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
}

.member-container .member-left ul li a .member-angle .fa
{
  margin-right: 0;
}

.member-container .member-left .member-avatar-group
{
  text-align: center;
  padding-bottom: 20px;
  margin-left: calc(var(--theme-padding, 15px) * -1);
  margin-right: calc(var(--theme-padding, 15px) * -1);
}

.member-container .member-left .member-avatar-group > *
{
  float: left;
  width: 50%;
  padding-left: var(--theme-padding, 15px);
  padding-right: var(--theme-padding, 15px);
}

.member-container .member-left .member-avatar-logout
{
  display: none;
}

.member-container .member-left .member-avatar-group dt
{
  margin-bottom: 5px;
  font-weight: bold;
  color: var(--theme-color, #f60);
}

.member-container .member-left .member-avatar-group dt a
{
  color: var(--theme-color, #f60);
}

.member-container .member-left .member-left-nav li a
{
  line-height: 45px;
  height: 45px;
  display: block;
  position: relative;
}

.member-container .member-left .member-left-nav li a .fa
{
  margin-right: 10px;
}

.member-container .member-left .member-left-nav li a:hover
{
  color: var(--theme-color, #f60);
}

.member-container .member-left .member-left-nav li.active
{
  border-left-color: var(--theme-color, #f60);
}

.member-container .member-left .member-left-nav li.active a
{
  color: var(--theme-color, #f60);
}

/* 右侧内容 */
.member-container .member-right
{
  width: calc(100% - 300px - calc(var(--theme-padding, 15px)*2));
  float: right;
  padding-top: 20px;
  padding-bottom: 20px;
  position: sticky;
  top: 0;
}

.member-container .member-right .member-title
{
  font-size: 24px;
  margin-bottom: 15px;
}

.member-container .btn.member-btn
{
  height: 34px;
  line-height: 34px;
  padding: 0 12px !important;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

/* tab切换 */
.member-container .member-right .member-tab-list
{
  padding-left: 0;
}

.member-container .member-right .member-tab-list + .table
{
  margin-top: 15px;
}

.member-container .member-right .member-tab-list ul
{
  padding-top: 0;
  padding-bottom: 0;
  display: inline-block;
}

.member-container .member-right .member-tab-list li
{
  float: left;
  line-height: 40px;
  margin-right: 20px;
  cursor: pointer;
  text-align: center;
  position: relative;
  z-index: 0;
  font-size: 18px;
}

.member-container .member-right .member-tab-list li:hover, .member-container .member-right .member-tab-list li.active, .member-container .member-right .member-tab-list li.active a
{
  color: var(--theme-color, #f60);
}

.member-container .member-right .member-tab-list li.active::after
{
  content: '';
  display: block;
  width: 20px;
  height: 4px;
  border-radius: 2px;
  background-color: var(--theme-color, #f60);
  position: absolute;
  z-index: 0;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.member-container .member-right .member-listcon
{
  padding: 10px;
}

.member-container .member-right .member-popedom-item
{
  display: block;
  white-space: nowrap;
  overflow: hidden;
  height: 30px;
  line-height: 30px;
  vertical-align: middle;
  margin-bottom: 10px;
}

.member-container .member-right .member-popedom-item.popedom-title
{
  background-color: var(--theme-color, #f60);
  color: #fff;
  text-align: center;
}

.member-container .member-right .member-popedom-item.popedom-yes, .member-container .member-right .member-popedom-item.popedom-no
{
  background-color: #5fb878;
  background-size: auto 26px;
  color: #fff;
  padding-left: 10px;
}

.member-container .member-right .member-popedom-item.popedom-no
{
  background-color: #ff0000;
}

.member-container .member-right .member-popedom-item .popedom-icon
{
  display: block;
  float: right;
  background-color: #fff;
  height: 24px;
  width: 24px;
  text-align: center;
  line-height: 24px;
  color: #5fb878;
  margin-top: 3px;
  margin-right: 3px;
}

.member-container .member-right .member-popedom-item.popedom-no .popedom-icon
{
  color: #ff0000;
}

.member-container .member-right .member-data-item
{
  display: table;
  width: 100%;
  margin-top: 15px;
}

.member-container .member-right .member-data-checkbox, .member-container .member-right .member-data-infobox, .member-container .member-right .member-data-deletebox
{
  display: table-cell;
}

.member-container .member-right .member-data-checkbox
{
  width: 30px;
  text-align: left;
  vertical-align: middle;
}

.member-container .member-right .member-data-infobox
{
  display: table;
}

.member-container .member-right .member-data-cover
{
  width: 60px;
  vertical-align: middle;
  display: table-cell;
}

.member-container .member-right .member-data-cover a
{
  display: block;
  width: 100%;
  padding-bottom: 130%;
}

.member-container .member-right .member-data-info
{
  width: calc(100% - 60px);
  padding-left: 20px;
  vertical-align: middle;
  display: table-cell;
}

.member-container .member-right .member-data-info h4
{
  font-size: 16px;
  margin-bottom: 5px;
  line-height: 1.5;
}

.member-container .member-right .member-data-info p
{
  color: var(--text-color-2, #666);
  font-size: 12px;
  line-height: 1.5;
}

.member-container .member-right .member-data-deletebox
{
  width: 70px;
  text-align: center;
  vertical-align: middle;
}

.member-container .member-right .member-data-delete
{
  display: inline-block;
  padding: 2px 5px;
  border-radius: 5px;
  border: 1px solid var(--theme-color, #f60);
  color: var(--theme-color, #f60);
}

.member-container .member-right .member-data-delete:hover
{
  background-color: var(--theme-color, #f60);
  color: #fff;
}

.member-container .member-right .member-data-reward .member-data-item .member-data-cover
{
  width: 80px;
}

.member-container .member-right .member-data-reward .member-data-item .member-data-cover a
{
  padding-bottom: 100%;
}

.member-container .member-right .member-data-reward .member-data-item .member-data-info
{
  width: calc(100% - 80px);
  padding-left: 30px;
}

.member-container .member-right .table
{
  width: 100%;
  background-color: var(--bg-color-2, #f7f7f7);
  border-collapse: separate;
  border-spacing: 1px;
  text-align: center;
}

.member-container .member-right .table thead tr
{
  background-color: var(--bg-color-3, #f0f0f0);
}

.member-container .member-right .table tbody tr
{
  background-color: var(--bg-color-3, #f0f0f0);
}

.member-container .member-right .table td
{
  height: 36px;
  border-color: var(--bg-color-1, #fff);
}

.member-container .member-right .table .pad
{
  padding-left: 10px;
  text-align: left;
}

.member-container .member-right .member-function-box
{
  margin: 10px 0;
  border: 1px var(--bg-color-2, #f7f7f7) solid;
  border-right: none;
  display: inline-block;
  height: 36px;
  background-color: var(--bg-color-3);
}

.member-container .member-right .member-function-box a
{
  border-right: 1px var(--bg-color-2, #f7f7f7) solid;
  padding: 0 var(--theme-gap, 15px);
  line-height: 36px;
  height: 36px;
  display: inline-block;
}

.member-container .member-right .member-page
{
  margin: 20px auto;
  text-align: center;
}

.member-container .member-right .member-page-input
{
  background: #fff;
  text-align: center;
  border: 1px #ddd solid;
  height: 28px;
  width: 50px;
  border-radius: 3px;
}

.member-container .member-right .member-page-button
{
  border: 1px #ddd solid;
  background: #fff;
  width: 50px;
  line-height: 28px;
  cursor: pointer;
  text-align: center;
  color: #333;
  padding: 0;
  border-radius: 3px;
}

.member-container .member-right .member-page a
{
  background-color: var(--bg-color-3, #f0f0f0);
  color: var(--text-color-1, #333);
  text-align: center;
  padding: 5px var(--theme-gap, 15px);
  border-radius: 3px;
}

.member-container .member-right .member-page a.disabled
{
  cursor: not-allowed;
  opacity: .7;
}

.member-container .member-right .member-page .member-page-current, .member-container .member-right .member-page a:not(.disabled):hover
{
  background-color: var(--theme-color, #f60);
  color: #fff;
}

.member-empty
{
  padding-top: 40px;
  padding-bottom: 40px;
  font-size: 24px;
  color: #999;
}

.member-container .member-right .member-upgrade-item
{
  margin-bottom: 10px;
}

.member-foot
{
  position: fixed;
  width: 100%;
  left: 0;
  bottom: 0;
  z-index: 99;
}

.member-foot li
{
  width: 20%;
  float: left;
  text-align: center;
  min-height: 1px;
}

.member-foot li a
{
  display: block;
  background-color: var(--bg-color-3, #f0f0f0);
}

.member-foot li i, .member-foot li span
{
  display: block;
  line-height: 1;
  padding-top: 10px;
}

.member-foot li span
{
  padding-top: 5px;
  padding-bottom: 10px;
}

.member-foot li.active a
{
  color: var(--theme-color, #f60);
}

.member-foot-placeholder
{
  height: 70px;
  margin-top: var(--theme-gap, 15px);
}

.member-foot .member-nav-toggle
{
  position: relative;
  z-index: 0;
  cursor: pointer;
}

.member-foot .member-nav-toggle a
{
  position: relative;
  z-index: 2;
}

.member-foot .member-nav-toggle::after
{
  content: '';
  display: block;
  background: var(--bg-color-3, #f0f0f0);
  height: 70px;
  width: 70px;
  border-radius: 35px;
  position: absolute;
  bottom: 0px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;
}

.member-foot, .member-foot .member-nav-toggle::after
{
  border-top: 2px solid rgb(17 58 93 / 10%);
  box-shadow: 0px 4px 10px 0px rgb(17 58 93 / 20%) !important;
}

.member-foot .member-nav-toggle::after
{
  box-shadow: 0px -1px 3px 0px rgb(17 58 93 / 20%) !important;
}

@media(min-width:992px)
{
  .member-container .member-left.style2
  {
    position: relative;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
    float: none;
    clear: both;
    background-color: transparent;
    box-shadow: none;
  }

  .member-container .member-left.style2 .member-angle
  {
    display: none;
  }

  .member-container .member-left.style2 .member-left-top
  {
    background-color: var(--theme-color);
    /*background-image:linear-gradient(45deg, var(--theme-color), var(--theme-color-2), var(--theme-color-3), var(--theme-color-4));*/
    box-shadow: var(--theme-shadow);
    padding: var(--theme-padding, 15px) 40px;
    border-radius: 4px;
    color: var(--theme-text-color, #fff);
    display: flex;
    align-items: center;
    margin-bottom: var(--theme-gap, 15px);
  }

  .member-container .member-left.style2 .member-left-top > *
  {
    flex-grow: 0;
    flex-shrink: 0;
  }

  .member-container .member-left.style2 .member-avatar-box
  {
    width: 25%;
    float: left;
  }

  .member-container .member-left.style2 .member-avatar-group
  {
    width: 75%;
    float: right;
    padding-bottom: 0;
    margin-left: 0;
    margin-right: 0;
    position: relative;
    z-index: 0;
  }

  .member-container .member-left.style2 .member-avatar-group > *
  {
    width: 33.333%;
  }

  .member-container .member-left.style2 .member-avatar-logout
  {
    display: block;
  }

  .member-container .member-left.style2 .member-avatar-box .member-avatar-name span, .member-container .member-left.style2 .member-avatar-group dt, .member-container .member-left.style2 .member-avatar-group dt a, .member-container .member-left.style2 .member-avatar-logout, .member-container .member-left.style2 .member-avatar-logout a
  {
    color: var(--theme-text-color, #fff);
  }

  .member-container .member-left.style2 .member-avatar-logout a
  {
    font-weight: normal;
  }

  .member-container .member-left.style2 .member-left-nav
  {
    padding: 15px var(--theme-padding, 15px) 5px;
    background-color: var(--bg-color-2);
    box-shadow: var(--theme-shadow);
    border-radius: 4px;
    margin-bottom: var(--theme-gap, 15px);
  }

  .member-container .member-left.style2 .member-left-nav li
  {
    width: 16.666%;
    float: left;
    padding-left: var(--theme-padding, 15px);
    padding-right: var(--theme-padding, 15px);
    margin-bottom: 10px;
  }

  .member-container .member-left.style2 .member-left-nav li a
  {
    background-color: var(--bg-color-3);
    border-radius: 4px;
    text-align: center;
  }

  .member-container .member-left.style2 .member-left-nav li.active a, .member-container .member-left.style2 .member-left-nav li a:hover
  {
    background-color: var(--theme-color, #f60);
    color: var(--theme-text-color, #fff);
  }

  .member-container .member-left.style2 .member-left-nav li a .fa
  {
    margin-right: 5px;
  }

  .member-container .member-left.style2 + .member-right
  {
    width: 100%;
  }
}

@media (max-width:1199.9px) and (min-width:992px)
{
  .member-container .member-left
  {
    width: 250px;
  }

  .member-container .member-right
  {
    width: calc(100% - 250px - calc(var(--theme-padding, 10px) * 2));
  }
}

@media(max-width:991.9px)
{
  .member-top-nav, .member-top-nav-item, .header
  {
    height: auto;
  }

  .member-nav-toggle
  {
    display: block;
  }

  .member-top-nav
  {
    padding: 10px;
  }

  .member-top-nav-item
  {
    float: none;
    display: inline-block;
  }

  .member-container
  {
    width: 100%;
    overflow: hidden;
  }

  .member-container .member-left, .member-container .member-right
  {
    box-shadow: none;
  }

  .member-container .member-left
  {
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    min-height: 100%;
    max-height: 100%;
    z-index: 999999999999999;
    overflow-y: auto;
    transform: translateX(calc(-100% - 30px));
    transition: .3s;
    border-radius: 0;
    box-shadow: 3px 0 5px 0 rgba(0, 0, 0, .4);
  }

  .member-nav-open .member-container .member-left
  {
    transform: translateX(0);
  }

  /*
  .member-container .member-left.style2 .member-left-nav li {
    width: 25%;
  }
  */
  .member-nav-open .member-nav-open-bg:not(.style2)
  {
    display: block;
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, .6);
  }

  /*
  .member-container .member-left.style2 .member-left-top {
    padding-left: 30px;
    padding-right: 30px;
  }
  .member-container .member-left.style2 .member-avatar-box {
    width: 35%;
  }
  .member-container .member-left.style2 .member-avatar-group {
    width: 65%;
  }
  .member-container .member-left.style2 .member-avatar-group > * {
    width: 50%;
  }
  .member-container .member-left.style2 .member-avatar-logout {
    display: none;
  }
  */
  .member-container .member-right
  {
    float: none;
    width: 100%;
    padding-left: 10px;
    padding-right: 10px;
    padding-bottom: 20px;
  }

  .member-container .member-right .member-input, .member-container .member-right .search-button
  {
    width: calc(100% - 115px);
    margin-right: 0;
    margin-left: 0;
  }

  .member-container .member-right .member-popedom-box
  {
    padding-top: 20px;
    padding-bottom: 10px;
  }

  .member-container .member-right .member-popedom-box + .member-popedom-box
  {
    border-top: 1px solid #ccc;
  }
}

@media(max-width:767.9px)
{

  /*
  .member-container .member-left.style2 .member-left-top {
    padding-left: 10px;
    padding-right: 10px;
  }
  .member-container .member-left.style2 .member-avatar-box {
    width: 45%;
  }
  .member-container .member-left.style2 .member-avatar-group {
    width: 55%;
  }
  .member-container .member-left.style2 .member-avatar-box .member-avatar-name {
    padding-left: 15px;
  }
  */
  .member-container .member-right .member-data-checkbox
  {
    width: 20px;
  }

  .member-container .member-right .member-data-deletebox
  {
    width: 30px;
  }

  .member-container .member-right .member-data-delete
  {
    width: 30px;
    height: 30px;
    line-height: 30px;
    border-radius: 50%;
    padding: 0;
  }
}

@media(max-width:575.9px)
{
  .member-container .member-left, .member-container .member-right
  {
    padding-left: 10px;
    padding-right: 10px;
  }

  /*
  .member-container .member-left.style2 .member-left-top {
    display: block;
  }
  .member-container .member-left.style2 .member-avatar-box, .member-container .member-left.style2 .member-avatar-group {
    width: 100%;
    float: none;
  }
  .member-container .member-left.style2 .member-avatar-group {}
  .member-container .member-left.style2 .member-left-nav li {
    width: 33.333%;
  }
  */
}